Support » Plugin: MC4WP: Mailchimp for WordPress » Whit Screen of Death after update to 4.06

  • Resolved Ger

    (@lindt01)


    Hello,
    I updated to release 4.0.6 as advised, but get a WSOD (white screen of death) after updating. When I ftp release 3.1.12 back to the site, everything works OK. Can someone please assist me further or give some hints/tips.

    Thanks in advance.

    Cheers,
    Ger van de Lindt

    • This topic was modified 2 years, 11 months ago by  Ger.
Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Contributor Lap

    (@lapzor)

    Hi Ger,

    The white screen means there is some PHP error. You should be able to see the actual error in the Apache logs. Could you look that up for us and let us know what the error is, than we can help you with this.

    Thanks!

    Hi Lap, Sorry for my late reaction. In the meantime I solved the issue. FYI below you find the Apache logfile:

    ——
    Tue Nov 08 13:53:02.225523 2016] [:error] [pid 7187] [client 94.209.132.92:52705] PHP Warning: include(/home/kookstudio/domains/kookvakantie.nl/public_html/wp-content/plugins/mailchimp-for-wp/includes/class-api.php): failed to open stream: No such file or directory in /home/kookstudio/domains/kookvakantie.nl/public_html/wp-content/plugins/wordpress-seo/vendor/composer/ClassLoader52.php on line 186, referer: http://www.kookvakantie.nl/wp-admin/plugins.php
    [Tue Nov 08 13:53:02.225635 2016] [:error] [pid 7187] [client 94.209.132.92:52705] PHP Warning: include(): Failed opening ‘/home/kookstudio/domains/kookvakantie.nl/public_html/wp-content/plugins/mailchimp-for-wp/includes/class-api.php’ for inclusion (include_path=’.:/usr/local/lib/php’) in /home/kookstudio/domains/kookvakantie.nl/public_html/wp-content/plugins/wordpress-seo/vendor/composer/ClassLoader52.php on line 186, referer: http://www.kookvakantie.nl/wp-admin/plugins.php
    [Tue Nov 08 13:53:02.225670 2016] [:error] [pid 7187] [client 94.209.132.92:52705] PHP Fatal error: Class ‘MC4WP_API’ not found in /home/kookstudio/domains/kookvakantie.nl/public_html/wp-content/plugins/mailchimp-for-wp/includes/functions.php on line 74, referer: http://www.kookvakantie.nl/wp-admin/plugins.php
    [Tue Nov 08 13:53:13.454222 2016] [:error] [pid 6952] [client 94.209.132.92:52712] PHP Warning: include(/home/kookstudio/domains/kookvakantie.nl/public_html/wp-content/plugins/mailchimp-for-wp/includes/class-api.php): failed to open stream: No such file or directory in /home/kookstudio/domains/kookvakantie.nl/public_html/wp-content/plugins/wordpress-seo/vendor/composer/ClassLoader52.php on line 186
    [Tue Nov 08 13:53:13.454309 2016] [:error] [pid 6952] [client 94.209.132.92:52712] PHP Warning: include(): Failed opening ‘/home/kookstudio/domains/kookvakantie.nl/public_html/wp-content/plugins/mailchimp-for-wp/includes/class-api.php’ for inclusion (include_path=’.:/usr/local/lib/php’) in /home/kookstudio/domains/kookvakantie.nl/public_html/wp-content/plugins/wordpress-seo/vendor/composer/ClassLoader52.php on line 186
    [Tue Nov 08 13:53:13.454328 2016] [:error] [pid 6952] [client 94.209.132.92:52712] PHP Fatal error: Class ‘MC4WP_API’ not found in /home/kookstudio/domains/kookvakantie.nl/public_html/wp-content/plugins/mailchimp-for-wp/includes/functions.php on line 74
    —–

    When I saw these messages I thought there could be something wrong with one of the files. I removed the old version of the plugin and installed release 4.0.7 After that the issue was solved. However I am a bit confused because the update worked fine withe the same installation on another host?

    Is there anything special you see in the logfile?

    Cheers,
    Ger

    Plugin Contributor Harish Chouhan

    (@hchouhan)

    Hey Ger,

    I’m sorry for the delay in replying. We had an issue with older versions of PHP. Can you please let us know if you are still facing this issue, if yes, can you please try installing the latest version and also asking your web host the version of PHP installed on your server?

    Hi Harish,

    I solved the issue by following these steps:

    • deactivated 4.0.6
    • removed 4.0.6
    • downloaded and unpacked 4.0.7
    • uploaded and activated 4.0.7

    After that the issue was solved. In the meantime I updated to higher releases and no more problems. I’am on 4.0.11 now.

    Kind regards,
    Ger

    Plugin Contributor Harish Chouhan

    (@hchouhan)

    Hey Ger,

    Thanks for the update. Our earlier version has an issue with older versions of PHP which was resolved. I would also recommend asking your web host to upgrade to the latest version of PHP on your server.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Whit Screen of Death after update to 4.06’ is closed to new replies.